## ros-foxy-rviz2 8.2.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rviz2)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -Wnon-virtual-dtor -Woverloaded-virtual)
endif()

find_package(ament_cmake REQUIRED)

find_package(rviz_common REQUIRED)

find_package(rviz_ogre_vendor REQUIRED)

find_package(Qt5 REQUIRED COMPONENTS Widgets)
# TODO(wjwwood): this block is to setup the windeployqt tool, could be removed later.
if(Qt5_FOUND AND WIN32 AND TARGET Qt5::qmake AND NOT TARGET Qt5::windeployqt)
  get_target_property(_qt5_qmake_location Qt5::qmake IMPORTED_LOCATION)

  execute_process(
    COMMAND "${_qt5_qmake_location}" -query QT_INSTALL_PREFIX
    RESULT_VARIABLE return_code
    OUTPUT_VARIABLE qt5_install_prefix
    OUTPUT_STRIP_TRAILING_WHITESPACE
  )

  set(imported_location "${qt5_install_prefix}/bin/windeployqt.exe")

  if(EXISTS ${imported_location})
    add_executable(Qt5::windeployqt IMPORTED)

    set_target_properties(Qt5::windeployqt PROPERTIES
      IMPORTED_LOCATION ${imported_location}
    )
  endif()
endif()

add_executable(${PROJECT_NAME}
  src/main.cpp
)
target_link_libraries(${PROJECT_NAME}
  rviz_common::rviz_common
  rviz_ogre_vendor::OgreMain
  rviz_ogre_vendor::OgreOverlay
  Qt5::Widgets
)

# TODO(wjwwood): find a way to make this optional or to run without "deploying" the
#                necessary dlls and stuff to the bin folder.
#                see:
# https://stackoverflow.com/questions/41193584/deploy-all-qt-dependencies-when-building#41199492
if(TARGET Qt5::windeployqt)
  # execute windeployqt in a tmp directory after build
  add_custom_command(TARGET ${PROJECT_NAME}
    POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E remove_directory "${CMAKE_CURRENT_BINARY_DIR}/windeployqt"
    COMMAND set PATH=%PATH%$<SEMICOLON>${qt5_install_prefix}/bin
    COMMAND
    Qt5::windeployqt
    --dir "${CMAKE_CURRENT_BINARY_DIR}/windeployqt"
    "$<TARGET_FILE_DIR:${PROJECT_NAME}>/$<TARGET_FILE_NAME:${PROJECT_NAME}>"
  )

  # copy deployment directory during installation
  install(
    DIRECTORY
    "${CMAKE_CURRENT_BINARY_DIR}/windeployqt/"
    DESTINATION bin
  )
  install(
    DIRECTORY
    "${CMAKE_CURRENT_BINARY_DIR}/windeployqt/"
    DESTINATION lib/${PROJECT_NAME}
  )
endif()

install(TARGETS ${PROJECT_NAME} DESTINATION bin)
install(TARGETS ${PROJECT_NAME} DESTINATION lib/${PROJECT_NAME})

if(BUILD_TESTING)
  # TODO(wjwwood): replace this with ament_lint_auto() and/or add the copyright linter back
  find_package(ament_cmake_cppcheck REQUIRED)
  find_package(ament_cmake_cpplint REQUIRED)
  find_package(ament_cmake_lint_cmake REQUIRED)
  find_package(ament_cmake_uncrustify REQUIRED)
  ament_cppcheck()
  ament_cpplint()
  ament_lint_cmake()
  ament_uncrustify()

  add_subdirectory(test)
endif()

set_target_properties(${PROJECT_NAME} PROPERTIES INSTALL_RPATH_USE_LINK_PATH TRUE)

ament_package()

=== debian/changelog ===
ros-foxy-rviz2 (8.2.8-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 16 Mar 2023 00:00:00 -0000

ros-foxy-rviz2 (8.2.7-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 12 Sep 2022 00:00:00 -0000

ros-foxy-rviz2 (8.2.6-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 04 Feb 2022 00:00:00 -0000

ros-foxy-rviz2 (8.2.5-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 12 Oct 2021 00:00:00 -0000

ros-foxy-rviz2 (8.2.4-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 05 Oct 2021 00:00:00 -0000

ros-foxy-rviz2 (8.2.3-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 01 Sep 2021 00:00:00 -0000

ros-foxy-rviz2 (8.2.2-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 18 Jun 2021 00:00:00 -0000

ros-foxy-rviz2 (8.2.1-1focal) focal; urgency=high

  * Update maintainer list (#619 <https://github.com/ros2/rviz/issues/619>)
  * changelogs
  * Contributors: Michael Jeronimo, William Woodall

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 09 Dec 2020 00:00:00 -0000

ros-foxy-rviz2 (8.2.0-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Tue, 23 Jun 2020 00:00:00 -0000

ros-foxy-rviz2 (8.1.1-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-foxy-rviz2 (8.1.0-1focal) focal; urgency=high

  * Added missing virtual destructors (#553 <https://github.com/ros2/rviz/issues/553>)
  * Contributors: Ivan Santiago Paunovic

 -- Scott K Logan <scott@openrobotics.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-foxy-rviz2 (8.0.3-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Tue, 02 Jun 2020 00:00:00 -0000

ros-foxy-rviz2 (8.0.2-1focal) focal; urgency=high

  * Removed automoc completely. (#545 <https://github.com/ros2/rviz/issues/545>)
  * Contributors: Chris Lalancette

 -- Scott K Logan <scott@openrobotics.org>  Thu, 21 May 2020 00:00:00 -0000

ros-foxy-rviz2 (8.0.1-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Thu, 07 May 2020 00:00:00 -0000

ros-foxy-rviz2 (8.0.0-1focal) focal; urgency=high

  * Note from wjwwood: I've chosen bump the major version this time, even though the API was not broken strictly speaking, partly because of some potentially disruptive build system changes and partially in preparation for ROS Foxy, to allow for new minor/patch versions in the previous ROS release Eloquent.
  * Made some code style changes. (#504 <https://github.com/ros2/rviz/issues/504>)
  * Contributors: Dirk Thomas

 -- Scott K Logan <scott@openrobotics.org>  Fri, 01 May 2020 00:00:00 -0000

ros-foxy-rviz2 (7.0.3-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Wed, 13 Nov 2019 00:00:00 -0000

ros-foxy-rviz2 (7.0.2-1focal) focal; urgency=high

  * Remove ROS arguments before passing to QApplication (#474 <https://github.com/ros2/rviz/issues/474>)
  * Contributors: Jacob Perron

 -- Scott K Logan <scott@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-foxy-rviz2 (7.0.1-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Fri, 04 Oct 2019 00:00:00 -0000

ros-foxy-rviz2 (7.0.0-1focal) focal; urgency=high

  * Remove -Werror from defualt compiler options (#420 <https://github.com/ros2/rviz/issues/420>)
  * Contributors: Hunter L. Allen

 -- Scott K Logan <scott@openrobotics.org>  Fri, 27 Sep 2019 00:00:00 -0000

ros-foxy-rviz2 (6.1.1-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Wed, 29 May 2019 00:00:00 -0000

ros-foxy-rviz2 (6.1.0-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Mon, 20 May 2019 00:00:00 -0000

ros-foxy-rviz2 (6.0.0-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Wed, 08 May 2019 00:00:00 -0000

ros-foxy-rviz2 (5.1.0-1focal) focal; urgency=high

  * Update package maintainer for rviz2 (#365 <https://github.com/ros2/rviz/issues/365>)
    Thank you to Deanna for her contributions.
  * Contributors: Scott K Logan

 -- Scott K Logan <scott@openrobotics.org>  Mon, 14 Jan 2019 00:00:00 -0000

ros-foxy-rviz2 (5.0.0-1focal) focal; urgency=high

  * Add semicolons to all RCLCPP and RCUTILS macros. (#357 <https://github.com/ros2/rviz/issues/357>)
  * Made the transformation framework used by rviz pluggable. (#346 <https://github.com/ros2/rviz/issues/346>)
  * Contributors: Andreas Greimel, Chris Lalancette

 -- Scott K Logan <scott@openrobotics.org>  Tue, 04 Dec 2018 00:00:00 -0000

ros-foxy-rviz2 (4.0.1-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Thu, 28 Jun 2018 00:00:00 -0000

ros-foxy-rviz2 (4.0.0-1focal) focal; urgency=high

  * Fixed compilation errors and runtime issues on Windows. (#175 <https://github.com/ros2/rviz/issues/175>)
  * Introduced a ROS interface abstraction to improve testability. (#156 <https://github.com/ros2/rviz/issues/156>)
  * Added a dependency between rviz2 and rviz_default_plugins (#149 <https://github.com/ros2/rviz/issues/149>)
  * Contributors: Alessandro Bottero, Andreas Greimel, Andreas Holzner, Martin Idel, Mikael Arguedas, William Woodall

 -- Scott K Logan <scott@openrobotics.org>  Wed, 27 Jun 2018 00:00:00 -0000

ros-foxy-rviz2 (3.0.0-1focal) focal; urgency=high

  * Numerous changes to support Windows.
  * Make rviz runnable with ros2 run.
  * Contributors: Andreas Holzner, Hunter Allen, Steven! Ragnarok, William Woodall

 -- Scott K Logan <scott@openrobotics.org>  Wed, 07 Feb 2018 00:00:00 -0000

ros-foxy-rviz2 (1.12.11-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Wed, 02 Aug 2017 00:00:00 -0000

ros-foxy-rviz2 (1.12.10-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Mon, 05 Jun 2017 17:37:00 -0000

ros-foxy-rviz2 (1.12.9-1focal) focal; urgency=high





=== debian/control ===
Source: ros-foxy-rviz2
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-foxy-ament-cmake, ros-foxy-ament-cmake-cppcheck <!nocheck>, ros-foxy-ament-cmake-cpplint <!nocheck>, ros-foxy-ament-cmake-lint-cmake <!nocheck>, ros-foxy-ament-cmake-uncrustify <!nocheck>, ros-foxy-geometry-msgs <!nocheck>, ros-foxy-rclcpp <!nocheck>, ros-foxy-rviz-common, ros-foxy-rviz-ogre-vendor, ros-foxy-sensor-msgs <!nocheck>, ros-foxy-ros-workspace
Homepage: https://github.com/ros2/rviz/blob/ros2/README.md
Standards-Version: 3.9.2

Package: ros-foxy-rviz2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-rviz-common, ros-foxy-rviz-default-plugins, ros-foxy-rviz-ogre-vendor, ros-foxy-ros-workspace
Description: 3D visualization tool for ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-rviz2//opt/ros/foxy/lib/:$(CURDIR)/debian/ros-foxy-rviz2//opt/ros/foxy/opt/rviz_assimp_vendor/lib/:$(CURDIR)/debian/ros-foxy-rviz2//opt/ros/foxy/opt/rviz_ogre_vendor/lib/:$(CURDIR)/debian/ros-foxy-rviz2//opt/ros/foxy/opt/rviz_yaml_cpp_vendor/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
